# to be run at 12:00, starting a new night PV voltage recording etc.
   FN=$1
   Y=`date "+%y" -d $FN`
   M=`date "+%m" -d $FN`
   DA=`date "+%-d" -d $FN`
   DO=$[$DA-1]
   FD=${FN}d.txt
L='l-86.16 f41.66 ut-6'

  /home/hollan/bin/planet3e $L c10 d$DO.$M.20$Y t12 nb ne i n240 s0.1h ze30 >/tmp/m
  /home/hollan/bin/planet3e $L c10 d$DO.$M.20$Y t12 nb ne k4 nr n240 s0.1h ze0 >/tmp/m0
	   
  /home/hollan/bin/sol_heights $L d$DO.$M.20$Y -n0 >/tmp/nold
  /home/hollan/bin/sol_heights $L d$DA.$M.20$Y -n0 >/tmp/nnew

  /home/hollan/bin/planet3  $L c0 d$DO.$M.20$Y t12 nb ne i n240 s0.1h ze30 >/tmp/sd
  /usr/local/bin/planet  $L c0 d$DO.$M.20$Y t12 nb nr ne i n240 s0.1h ze30 >/tmp/s

echo 'Solar unrefracted heights:
' >$FD
 
sed -n "/of the used time/  {N;  s/(.*) of the used time:\nSUN[ ]*// ;
 s/:/ /g; s/20$Y-.*at //p} " /tmp/s  >>$FD

echo '

Height of Sun evening / 1 degree: +6 (centre, refracted), 0 (upper rim, refracted), -6, -12, -15, -18:' >>$FD

sed  "/^20$Y/{s/20$Y............../               5.9/}" /tmp/nold >/tmp/n2old
sed -n "/[0-9]:/p" /tmp/n2old >>$FD

echo '

Height of Sun morning / 1 degree: +6 (centre, refracted), 0 (upper rim, refracted), -6, -12, -15, -18:' >>$FD

sed  "/^20$Y/{s/20$Y............../               5.9/}" /tmp/nnew >/tmp/n2new
sed -n "/[0-9]:/p" /tmp/n2new >>$FD

echo '

Lunar direct horizontal illuminance for ZE = 30 cmag:
' >>$FD

sed -n "/of the used time/  {N;  s/(.*) of the used time:\nMoon[ ]*// ;
 s/:/ /g; s/20$Y-.*at //p} " /tmp/m >>$FD

echo '

Lunar no-obstacle height and faintness (ZE = 0 cmag):
' >>$FD

sed -n "/of the used time/  {N;  s/(.*) of the used time:\nMoon[ ]*// ;
 s/:/ /g; s/20$Y-.*at //p} " /tmp/m0 >>$FD

echo '

Solar direct horizontal illuminance for ZE = 30 cmag:
' >>$FD
 
sed -n "/of the used time/  {N;  s/(.*) of the used time:\nSUN[ ]*// ;
 s/:/ /g; s/20$Y-.*at //p} " /tmp/sd  >>$FD

cp night_future3.gnp /tmp/night_future.gnp

LC_TIME=C

DN=`date "+%A %Y-%m-%d" -d $FN`

sed -r "
/set out/{s/(night|[0-9]{6})\.png/night_lf.png/} 
s/from a PV panel.*\'/ending at $DN noon\'/
s/'nold'/'$FD' index 1/ 
s/'nnew'/'$FD' index 2/ 
s/'m.txt'/'$FD' index 3/ 
s/'m0.txt'/'$FD' index 4/ 
s/'s.txt'/'$FD' index 0/ 
s/'sd.txt'/'$FD' index 5/ 
" \
 /tmp/night_future.gnp >/tmp/night_lf.gnp


gnuplot /tmp/night_lf.gnp

mv night_lf.png $FN.png

